LuxSat Satellite

Tools / Plugins / CCcam => Oscam/Oscam-emu bins => Topic started by: Lawsons on April 14, 2019, 10:08:15 AM

Title: OScam-Emu builds
Post by: Lawsons on April 14, 2019, 10:08:15 AM
Op de moment worden er geen builds meer gemaakt vanuit mijn kant, reden is dat de developpers de verplichting geven om libcrypto te integreren om een emu build te maken.
Maar deze emu builds met libcrypto werken niet overal op de Vu's met bepaalde images.
En uiteindelijk zijn de downloads hier ook te verwaarlozen om de tijd er nog in te steken, hopelijk keert het tij, want heb dit altijd graag gedaan. :?
Title: Re: OScam-Emu builds
Post by: mebo870 on April 14, 2019, 02:11:40 PM
Lijkt het dan niet beter dat je oscam builds gaat aanmaken op aanvraag.
Geen verloren moeite en degene die het aanvraagt is zeker dat het zal werken en ook nog bruikbaar voor anderen dan.
je bent ook vrij sterk in deze materie, in wat kan en niet kan.
Ik denk niet dat we hier in BelgiŽ - Nederland zoveel variatie hebben op het soort van box en de gebruikte images. 
Title: Re: OScam-Emu builds
Post by: Lawsons on April 15, 2019, 03:13:55 PM
Voor een paar mensen die deze downloaden en dat zijn de emu versies, is dit voorlopig niet meer de moeite.
Voor de arm boxen is dit geen probleem hiervoor kan men deze voor de dreambox (arm_dream) versies gebruiken en daar werken de libcrypto versies zonder probleem op de vu's.
Heb zelf geen Vu's meer die op mipsel draaien dus kan dit niet zelf uittesten welke versies met libcrypto daar wel of daar niet werkt.
Het probleem is die libcrypto op de Vu's, ik geef niet gemakkelijk op om zo iets te kunnen oplossen, maar mijn hoofd staat er op de moment totaal echt niet naar om hier voor een oplossing te zoeken om deze wel te laten werken.
Title: Re: OScam-Emu builds
Post by: Lawsons on April 15, 2019, 06:34:36 PM
Updates voor de gewone versies zonder emu zullen de volgende dagen volgen.
Title: Re: OScam-Emu builds
Post by: mebo870 on April 16, 2019, 04:35:10 PM
Ik las hier net, ik weet niet of je hier wat aan hebt

Changeset 11512

fixed the problem and oscam-emu can now be built with static libcrypto
Title: Re: OScam-Emu builds
Post by: Lawsons on April 16, 2019, 04:58:45 PM
Dat is nu het probleem verplicht worden om libcrypto of ssl te activeren in de build om de emu te laten werken en waar de Vu's problemen mee hebben.

En dit is al vanaf versie 11509

From this version and on, building OSCam-Emu will require linking with libcrypto due to the extended use of cryptographic functions in BISS2 code. This means that you must enable the USE_SSL=1 or USE_LIBCRYPTO=1 switches when compiling.

**Previously, OSCam-Emu only used 16 descramblers in enigma2 boxes. Now, all descramblers available in a box (modern boxes have 64 or even 96 descramblers) are used, which means many more channels can be descrambled simultaneously. Fox example, with 16 descramblers only 3 or 4 PowerVu channels could be descrambled at the same time, while with 64 we can descramble ~4 times more.

Zelfs de meest ervaren oscam bouwers maken zelfs geen emu versies meer voor de niet arm boxen zegt ook al wel genoeg dan zeker :-x
Title: Re: OScam-Emu builds
Post by: Lawsons on May 06, 2019, 10:06:37 AM
Sinds vandaag met de nieuwe release van de Simplebuild versie naar s3_rc6 om de oscam bins te bouwen, werken de builds met de Solo4K toolchain op de Vu 4K's en met Libcrypto geactiveerd voor de emu versies (zelf hier getest).
Eindelijk is dit heuvel opgelost met dat libcrypto gedoe, want het was even niet meer leuk om de oscam bins te bouwen.
En de mogelijkheid om de upx (compressie) aan te passen van 1 tot 9 hier scheelt het een 200kb dat de bin verkleind word, of van --best tot --ultra-brute functie, hier met de laatste functie --ultra-brute word de bin file nog eens verkleind met 100kb ten opzichte van functie 9.